module.exports = (modelName, idName) => {
  return {
    create: ({ models, body }, reply) => {
      return models[modelName].create(body)
    },
    update: ({ models, params, body }, reply) => {
      return models[modelName].findAndUpdate(params[idName], body)
    },
    remove: ({ models, params }, reply) => {
      return models[modelName].findAndRemove(params[idName])
    },
    list: ({ models, query }, reply) => {
      return models[modelName].list(query)
    },
    get: ({ models, params }, reply) => {
      return models[modelName].get(params[idName])
    },
  }
}
