module.exports = Object.assign(require('./base')('User', 'userId'), {
  login: async ({ models, body, jwt }, reply) => {
    const { userName, password } = body
    const result = await models.User.findOne({ userName, password })
    if (result) {
      const jwtToken = jwt.sign({userId: result._id})
      return { token: jwtToken, user: result }
    }
    return { statusCode: 401, message: '用户名或密码错误' }
  },
})
