const glob = require('glob')

module.exports = (fastify, options = {}, next) => {
  glob('../routes/**/*.js', { cwd: __dirname }, (err, files) => {
    if (err) {
      throw err
    }
    let routes = []
    for (let file of files) {
      routes = routes.concat(require(file))
    }
    for (let route of routes) {
      fastify.route(route)
    }
    next()
  })
}
