module.exports = Object.assign(require('./base')('Member', 'memberId'), {
  login: async ({ models, body, jwt }, reply) => {
    const { memberName, password } = body
    const result = await models.Member.findOne({ memberName, password })
    if (result) {
      const jwtToken = jwt.sign({memberId: result._id})
      return { token: jwtToken, member: result }
    }
    return { statusCode: 401, message: '用户名或密码错误' }
  },
  exists: async ({ models, query }, reply) => {
    const result = await models.Member.exists(query)
    return { exists: result }
  },
})
